package com.engine.salary.enums.siaccount;

import com.engine.salary.enums.BaseEnum;

import java.util.Objects;


/**
 * 福利档案人员状态枚举
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public enum EmployeeStatusEnum implements BaseEnum<String> {

    STAY_ADD("1", "待增员", 106667),
    PAYING("2", "正在缴纳", 106668),
    STAY_DEL("3", "待减员", 106669),
    STOP_PAYMENT_FROM_ADD("4", "停止缴纳-来自待增员", 106670),
    STOP_PAYMENT_FROM_DEL("5", "停止缴纳-来自待减员", 106671);

    private String value;

    private String defaultLable;

    private Integer labelId;

    EmployeeStatusEnum(String value, String defaultLable, Integer labelId) {
        this.value = value;
        this.defaultLable = defaultLable;
        this.labelId = labelId;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public Integer getLabelId() {
        return this.labelId;
    }

    @Override
    public String getDefaultLabel() {
        return this.defaultLable;
    }

    public static EmployeeStatusEnum parseByValue(String value){
        for (EmployeeStatusEnum employeeStatusEnum : EmployeeStatusEnum.values()) {
            if(Objects.equals(employeeStatusEnum.getValue(), value)){
                return employeeStatusEnum;
            }
        }
        return null;
    }
}
